Loading...
Searching...
No Matches
UnderlineOption Struct Reference

## Public Member Functions

void | SetAnimation (animation::Duration d, animation::easing::Function f)
| Set how the underline should animate.
void | SetAnimationDuration (animation::Duration d)
| Set how the underline should animate.
void | SetAnimationFunction (animation::easing::Function f)
| Set how the underline should animate.
void | SetAnimationFunction (animation::easing::Function f_leader, animation::easing::Function f_follower)
| Set how the underline should animate. This is useful to desynchronize the animation of the leader and the follower.

## Data Fields

bool | enabled = false
Color | color_active = Color::White
Color | color_inactive = Color::GrayDark
animation::easing::Function | leader_function
animation::easing::Function | follower_function
animation::Duration | leader_duration = std::chrono::milliseconds(250)
animation::Duration | leader_delay = std::chrono::milliseconds(0)
animation::Duration | follower_duration = std::chrono::milliseconds(250)
animation::Duration | follower_delay = std::chrono::milliseconds(0)

## Detailed Description

Definition at line 31 of file component_options.hpp.

## Member Function Documentation

## SetAnimation()

void SetAnimation | ( | animation::Duration | d,
|  | animation::easing::Function | f )

Set how the underline should animate.

Parameters

  d | The duration of the animation.
  f | The easing function of the animation.

Definition at line 36 of file component_options.cpp.

## SetAnimationDuration()

void SetAnimationDuration | ( | animation::Duration | d | ) |

Set how the underline should animate.

Parameters

  d | The duration of the animation.

Definition at line 45 of file component_options.cpp.

## SetAnimationFunction() [1/2]

void SetAnimationFunction | ( | animation::easing::Function | f | ) |

Set how the underline should animate.

Parameters

  f | The easing function of the animation.

Definition at line 53 of file component_options.cpp.

## SetAnimationFunction() [2/2]

void SetAnimationFunction | ( | animation::easing::Function | f_leader,
|  | animation::easing::Function | f_follower )

Set how the underline should animate. This is useful to desynchronize the animation of the leader and the follower.

Parameters

  f_leader | The duration of the animation for the leader.
  f_follower | The duration of the animation for the follower.

Definition at line 64 of file component_options.cpp.

## Field Documentation

## enabled

bool enabled = false

Definition at line 32 of file component_options.hpp.

## color_active

Color color_active = Color::White

Definition at line 34 of file component_options.hpp.

## color_inactive

Color color_inactive = Color::GrayDark

Definition at line 35 of file component_options.hpp.

## leader_function

animation::easing::Function leader_function

Initial value:
=
animation::easing::QuadraticInOut
ftxui::animation::easing::QuadraticInOut
float QuadraticInOut(float p)
Definition animation.cpp:46

Definition at line 37 of file component_options.hpp.

## follower_function

animation::easing::Function follower_function

Initial value:
=
animation::easing::QuadraticInOut

Definition at line 39 of file component_options.hpp.

## leader_duration

animation::Duration leader_duration = std::chrono::milliseconds(250)

Definition at line 42 of file component_options.hpp.

## leader_delay

animation::Duration leader_delay = std::chrono::milliseconds(0)

Definition at line 43 of file component_options.hpp.

## follower_duration

animation::Duration follower_duration = std::chrono::milliseconds(250)

Definition at line 44 of file component_options.hpp.

## follower_delay

animation::Duration follower_delay = std::chrono::milliseconds(0)

Definition at line 45 of file component_options.hpp.

The documentation for this struct was generated from the following files:

- include/ftxui/component/component_options.hpp
- src/ftxui/component/component_options.cpp